- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDStencil Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDStencil ()
| VSDStencil (const VSDStencil &stencil)
| ~VSDStencil ()
VSDStencil & | operator= (const VSDStencil &stencil)
void | addStencilShape (unsigned id, const VSDShape &shape)
void | setFirstShape (unsigned id)
const VSDShape * | getStencilShape (unsigned id) const

## Public Attributes
std::map< unsigned, VSDShape > | m_shapes
double | m_shadowOffsetX
double | m_shadowOffsetY
unsigned | m_firstShapeId

## Constructor & Destructor Documentation

libvisio::VSDStencil::VSDStencil | ( |  | ) |

libvisio::VSDStencil::VSDStencil | ( | const VSDStencil & | stencil | ) |

libvisio::VSDStencil::~VSDStencil | ( |  | ) |

## Member Function Documentation

void libvisio::VSDStencil::addStencilShape | ( | unsigned | id,
|  | const VSDShape & | shape
| ) |  |

const libvisio::VSDShape * libvisio::VSDStencil::getStencilShape | ( | unsigned | id | ) | const

Referenced by libvisio::VSDStencils::getStencilShape(), and libvisio::VSDXMLParserBase::readShape().

libvisio::VSDStencil & libvisio::VSDStencil::operator= | ( | const VSDStencil & | stencil | ) |

void libvisio::VSDStencil::setFirstShape | ( | unsigned | id | ) |

## Member Data Documentation

unsigned libvisio::VSDStencil::m_firstShapeId

Referenced by libvisio::VSDStencils::getStencilShape(), operator=(), and libvisio::VSDXMLParserBase::readShape().

double libvisio::VSDStencil::m_shadowOffsetX

Referenced by operator=().

double libvisio::VSDStencil::m_shadowOffsetY

Referenced by operator=().

std::map<unsigned, VSDShape> libvisio::VSDStencil::m_shapes

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp